## r-bioc-dss 2.46.0+dfsg

=== DESCRIPTION ===
Package: DSS
Title: Dispersion shrinkage for sequencing data
Version: 2.46.0
Date: 2022-4-26
Author: Hao Wu<hao.wu@emory.edu>, Hao Feng<hxf155@case.edu>
Depends: R (>= 3.5.0), methods, Biobase, BiocParallel, bsseq, parallel
Imports: utils, graphics, stats, splines
Maintainer: Hao Wu <hao.wu@emory.edu>, Hao Feng <hxf155@case.edu>
Description: DSS is an R library performing differntial analysis for
        count-based sequencing data. It detectes differentially
        expressed genes (DEGs) from RNA-seq, and differentially
        methylated loci or regions (DML/DMRs) from bisulfite sequencing
        (BS-seq). The core of DSS is a new dispersion shrinkage method
        for estimating the dispersion parameter from Gamma-Poisson or
        Beta-Binomial distributions.
License: GPL
VignetteBuilder: knitr
Suggests: BiocStyle, knitr, rmarkdown
biocViews: Sequencing, RNASeq, DNAMethylation,GeneExpression,
        DifferentialExpression,DifferentialMethylation
git_url: https://git.bioconductor.org/packages/DSS
git_branch: RELEASE_3_16
git_last_commit: debfbac
git_last_commit_date: 2022-11-01
Date/Publication: 2022-11-01
NeedsCompilation: yes
Packaged: 2022-11-01 21:25:39 UTC; biocbuild

=== debian/changelog ===
r-bioc-dss (2.46.0+dfsg-2) unstable; urgency=medium

  * Drop now unneeded lintian-overrides
  * Reorder sequence of d/control fields by cme (routine-update)
  * Reduce piuparts noise in transitions (routine-update)
  * Trim trailing whitespace.

 -- Andreas Tille <tille@debian.org>  Tue, 29 Nov 2022 09:01:17 +0100

r-bioc-dss (2.46.0+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #1024565)

 -- Andreas Tille <tille@debian.org>  Mon, 28 Nov 2022 08:10:51 +0100

=== debian/control ===
Source: r-bioc-dss
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-dss
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-dss.git
Homepage: https://bioconductor.org/packages/DSS/
Standards-Version: 4.6.1
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-biobase,
               r-bioc-biocparallel,
               r-bioc-bsseq
Testsuite: autopkgtest-pkg-r

Package: r-bioc-dss
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Bioconductor dispersion shrinkage for sequencing data
 DSS is an R library performing differntial analysis for
 count-based sequencing data. It detectes differentially
 expressed genes (DEGs) from RNA-seq, and differentially
 methylated loci or regions (DML/DMRs) from bisulfite sequencing
 (BS-seq). The core of DSS is a new dispersion shrinkage method
 for estimating the dispersion parameter from Gamma-Poisson or
 Beta-Binomial distributions.

=== debian/watch ===
version=4
opts="downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc?,repacksuffix=+dfsg,dversionmangle=auto" \
 https://www.bioconductor.org/packages/release/bioc/html/DSS.html .*/DSS_([\d\.]+)\.tar\.gz

## r-bioc-dss 2.48.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: DSS
 Title: Dispersion shrinkage for sequencing data
-Version: 2.46.0
-Date: 2022-4-26
+Version: 2.48.0
+Date: 2022-12-14
 Author: Hao Wu<hao.wu@emory.edu>, Hao Feng<hxf155@case.edu>
 Depends: R (>= 3.5.0), methods, Biobase, BiocParallel, bsseq, parallel
 Imports: utils, graphics, stats, splines
@@ -19,9 +19,9 @@
 biocViews: Sequencing, RNASeq, DNAMethylation,GeneExpression,
         DifferentialExpression,DifferentialMethylation
 git_url: https://git.bioconductor.org/packages/DSS
-git_branch: RELEASE_3_16
-git_last_commit: debfbac
-git_last_commit_date: 2022-11-01
-Date/Publication: 2022-11-01
+git_branch: RELEASE_3_17
+git_last_commit: 03ceee2
+git_last_commit_date: 2023-04-25
+Date/Publication: 2023-04-25
 NeedsCompilation: yes
-Packaged: 2022-11-01 21:25:39 UTC; biocbuild
+Packaged: 2023-04-25 20:57:50 UTC; biocbuild

=== debian/changelog ===
r-bioc-dss (2.48.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 27 Jul 2023 20:57:07 +0200

## r-bioc-dss 2.50.1%2Bdfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: DSS
 Title: Dispersion shrinkage for sequencing data
-Version: 2.48.0
-Date: 2022-12-14
+Version: 2.50.1
+Date: 2024-1-11
 Author: Hao Wu<hao.wu@emory.edu>, Hao Feng<hxf155@case.edu>
 Depends: R (>= 3.5.0), methods, Biobase, BiocParallel, bsseq, parallel
 Imports: utils, graphics, stats, splines
@@ -15,13 +15,14 @@
         Beta-Binomial distributions.
 License: GPL
 VignetteBuilder: knitr
-Suggests: BiocStyle, knitr, rmarkdown
+Suggests: BiocStyle, knitr, rmarkdown, edgeR
 biocViews: Sequencing, RNASeq, DNAMethylation,GeneExpression,
         DifferentialExpression,DifferentialMethylation
 git_url: https://git.bioconductor.org/packages/DSS
-git_branch: RELEASE_3_17
-git_last_commit: 03ceee2
-git_last_commit_date: 2023-04-25
-Date/Publication: 2023-04-25
+git_branch: RELEASE_3_18
+git_last_commit: 57860ca
+git_last_commit_date: 2024-01-10
+Repository: Bioconductor 3.18
+Date/Publication: 2024-01-11
 NeedsCompilation: yes
-Packaged: 2023-04-25 20:57:50 UTC; biocbuild
+Packaged: 2024-01-11 21:59:50 UTC; biocbuild

## r-bioc-dss 2.50.1+dfsg

=== debian/changelog ===
r-bioc-dss (2.50.1+dfsg-1) unstable; urgency=medium

  * New upstream version
    Closes: #1058613
  * Add autopkgtest-pkg-r.conf

 -- Andreas Tille <tille@debian.org>  Mon, 15 Jan 2024 08:02:04 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-dss
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-dss.git
 Homepage: https://bioconductor.org/packages/DSS/
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-bioc-dss 2.52.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: DSS
 Title: Dispersion shrinkage for sequencing data
-Version: 2.50.1
-Date: 2024-1-11
+Version: 2.52.0
+Date: 2023-1-11
 Author: Hao Wu<hao.wu@emory.edu>, Hao Feng<hxf155@case.edu>
 Depends: R (>= 3.5.0), methods, Biobase, BiocParallel, bsseq, parallel
 Imports: utils, graphics, stats, splines
@@ -19,10 +19,10 @@
 biocViews: Sequencing, RNASeq, DNAMethylation,GeneExpression,
         DifferentialExpression,DifferentialMethylation
 git_url: https://git.bioconductor.org/packages/DSS
-git_branch: RELEASE_3_18
-git_last_commit: 57860ca
-git_last_commit_date: 2024-01-10
-Repository: Bioconductor 3.18
-Date/Publication: 2024-01-11
+git_branch: RELEASE_3_19
+git_last_commit: bc65766
+git_last_commit_date: 2024-04-30
+Repository: Bioconductor 3.19
+Date/Publication: 2024-04-30
 NeedsCompilation: yes
-Packaged: 2024-01-11 21:59:50 UTC; biocbuild
+Packaged: 2024-05-01 03:35:07 UTC; biocbuild

=== debian/changelog ===
r-bioc-dss (2.52.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 18 Aug 2024 12:35:18 +0200

r-bioc-dss (2.52.0+dfsg-1~0exp1) experimental; urgency=medium

  * Team upload.
  * d/{,tests/}control: bump minimum versions of r-bioc-* packages to
    bioc-3.19+ versions

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 06 Aug 2024 14:02:59 +0200

r-bioc-dss (2.52.0+dfsg-1~0exp) experimental; urgency=medium

  * Team upload
  * New upstream version
  * d/control: Skip building on 32-bit systems.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 13 Jul 2024 16:20:29 +0200

=== debian/control ===
--- 
+++ 
@@ -11,18 +11,24 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-bioc-biobase,
-               r-bioc-biocparallel,
-               r-bioc-bsseq
+               r-bioc-biobase (>= 2.64.0),
+               r-bioc-biocparallel (>= 1.38.0),
+               r-bioc-bsseq (>= 1.40.0),
+               architecture-is-64-bit
 Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-dss
 Architecture: any
 Depends: ${R:Depends},
          ${shlibs:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         r-bioc-biobase (>= 2.64.0),
+         r-bioc-biocparallel (>= 1.38.0),
+         r-bioc-bsseq (>= 1.40.0)
 Recommends: ${R:Recommends}
-Suggests: ${R:Suggests}
+Suggests: ${R:Suggests},
+          r-bioc-biocstyle (>= 2.32.1),
+          r-bioc-edger (>= 4.2.1)
 Description: Bioconductor dispersion shrinkage for sequencing data
  DSS is an R library performing differntial analysis for
  count-based sequencing data. It detectes differentially

## r-bioc-dss 2.54.0%2Bdfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: DSS
 Title: Dispersion shrinkage for sequencing data
-Version: 2.52.0
+Version: 2.54.0
 Date: 2023-1-11
 Author: Hao Wu<hao.wu@emory.edu>, Hao Feng<hxf155@case.edu>
 Depends: R (>= 3.5.0), methods, Biobase, BiocParallel, bsseq, parallel
@@ -19,10 +19,10 @@
 biocViews: Sequencing, RNASeq, DNAMethylation,GeneExpression,
         DifferentialExpression,DifferentialMethylation
 git_url: https://git.bioconductor.org/packages/DSS
-git_branch: RELEASE_3_19
-git_last_commit: bc65766
-git_last_commit_date: 2024-04-30
-Repository: Bioconductor 3.19
-Date/Publication: 2024-04-30
+git_branch: RELEASE_3_20
+git_last_commit: d18c722
+git_last_commit_date: 2024-10-29
+Repository: Bioconductor 3.20
+Date/Publication: 2024-10-29
 NeedsCompilation: yes
-Packaged: 2024-05-01 03:35:07 UTC; biocbuild
+Packaged: 2024-10-30 00:30:07 UTC; biocbuild

## r-bioc-dss 2.54.0+dfsg

=== debian/changelog ===
r-bioc-dss (2.54.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 14 Jan 2025 08:38:24 +0100

r-bioc-dss (2.54.0+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  Set upstream metadata fields: Archive.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 30 Nov 2024 22:29:06 +0100

=== debian/control ===
Source: r-bioc-dss
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-dss
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-dss.git
Homepage: https://bioconductor.org/packages/DSS/
Standards-Version: 4.7.0
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-biobase,
               r-bioc-biocparallel,
               r-bioc-bsseq,
               architecture-is-64-bit
Testsuite: autopkgtest-pkg-r

Package: r-bioc-dss
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Bioconductor dispersion shrinkage for sequencing data
 DSS is an R library performing differntial analysis for
 count-based sequencing data. It detectes differentially
 expressed genes (DEGs) from RNA-seq, and differentially
 methylated loci or regions (DML/DMRs) from bisulfite sequencing
 (BS-seq). The core of DSS is a new dispersion shrinkage method
 for estimating the dispersion parameter from Gamma-Poisson or
 Beta-Binomial distributions.
